Ramificaciones de desinstalación de GCC 4.7 en Leu de GCC 4.6 en Quantal? -- vidia campo con apt campo con gcc camp askubuntu Relacionados El problema

Ramifications of uninstalling GCC 4.7 in leu of GCC 4.6 in Quantal?


1
vote

problema

Español

Actualmente tengo tanto el GCC-4.6 Instalar GCC-4.6 y GCC-4.7  Instale GCC-4.7 Paquetes instalados en Quantal. Hago mucho desarrollo de software, pero no he tenido la necesidad de ninguna característica que sea específica para el GCC 4.7. Por lo tanto, para conservar el espacio, pensé que sería una buena idea eliminar el GCC 4.7. Desafortunadamente:

  nathan@nathan-ubuntu:~$ sudo apt-get autoremove gcc-4.7 Reading package lists... Done Building dependency tree        Reading state information... Done The following packages will be REMOVED:   build-essential dkms g++ g++-4.7 gcc gcc-4.7 libstdc++6-4.7-dev nvidia-current-updates 0 upgraded, 0 newly installed, 8 to remove and 0 not upgraded. After this operation, 250 MB disk space will be freed. Do you want to continue [Y/n]?   

Aquí es donde me pongo un poco nervioso. Algunos de los paquetes que se están eliminando (como build-essential ) son solo los meta-paquetes y no causan ningún problema. Sin embargo, algunos de ellos no estoy tan seguro de. Por ejemplo, ABCDEFGHIJKLMNABCDEFGHIJKLMN6 no es un paquete meta. De hecho, es un paquete de 66 MB . Si ayuda, estoy usando el conductor binario de NVIDIA (Noveau no funciona en mi hardware).

¿Es seguro continuar? ¿Perderé algo importante?


Editar: Aquí está la salida de apt-cache rdepends gcc-4.7 :

  ABCDEFGHIJKLMNABCDEFGHIJKLMN8   
Original en ingles

I currently have both the gcc-4.6 Install gcc-4.6 and gcc-4.7 Install gcc-4.7 packages installed in Quantal. I do a lot of software development but haven't had a need for any features that are specific to GCC 4.7. Therefore, in order to conserve space, I thought it would be a good idea to remove GCC 4.7. Unfortunately:

nathan@nathan-ubuntu:~$ sudo apt-get autoremove gcc-4.7 Reading package lists... Done Building dependency tree        Reading state information... Done The following packages will be REMOVED:   build-essential dkms g++ g++-4.7 gcc gcc-4.7 libstdc++6-4.7-dev nvidia-current-updates 0 upgraded, 0 newly installed, 8 to remove and 0 not upgraded. After this operation, 250 MB disk space will be freed. Do you want to continue [Y/n]? 

Here's where I become a little nervous. Some of the packages being removed (like build-essential) are just meta-packages and won't cause any problems. However, some of them I'm not so sure about. For example, nvidia-current-updates isn't a meta-package. In fact, it's a 66 MB package. If it helps, I am using the Nvidia binary driver (Noveau doesn't work on my hardware).

Is it safe to continue? Will I lose anything important?


Edit: here is the output of apt-cache rdepends gcc-4.7:

gcc-4.7 Reverse Depends:   gcc-4.7:i386   llvm-gcc-4.7   gccgo-4.7   gcc-4.7-locales   fixincludes  |dragonegg-4.7   gobjc-4.7   gfortran-4.7   gcj-4.7-jdk   gcc-4.7-plugin-dev   gcc-4.7-multilib   gcc   g++-4.7   g++ 
        
   
   

Lista de respuestas


Relacionados problema

22  ¿Cómo actualizar GCC a la última versión (en este caso 4.7) en Ubuntu 10.04?  ( How to update gcc to the latest versionin this case 4 7 in ubuntu 10 04 ) 
Tengo ubuntu 10.04 32 bits con gcc 4.4.3 actualmente instalado en él. Quiero actualizarlo a gcc/g++ 4.7 (estoy buscando soporte C ++ 0X) Cómo actualizar...

2  no se puede compilar GCC o G ++ libc_nonshared.a no reconocido  ( Cannot compile gcc or g libc nonshared a not recognized ) 
Ya no puedo compilar archivos C / C ++ ya que usando una nueva cuenta (creo que fue desde entonces) y estoy obteniendo un error extraño cada vez que intento c...

1  ¿Cómo construir la aplicación GUI en lenguaje C usando GTK +?  ( How to build gui application in c language using gtk ) 
He escrito código en lenguaje C usando GTK. Este código le da una ventana con 2 botones, pero no sé cómo hacer la aplicación GUI independiente de este código....

2  Problema al compilar GCC en Ubuntu  ( Problem when compiling gcc in ubuntu ) 
Me he encontrado con el problema bien conocido al instalar GCC: configure:3605: error: in /usr/local/gcc-4.8.1/i686-pc-linux-gnu/libgcc': configure:3608: e...

0  GCC no puede encontrar ansinist.h aunque esté allí en / usr / incude / ansinist  ( Gcc cannot find ansinist h even though it is there in usr incude ansinist ) 
Estoy tratando de hacer un programa proporcionado por NIST. No tengo mucha experiencia en tales tareas. Estoy recibiendo el siguiente error. util.c:19:22...

2  COLECCIÓN2: ERROR FATAL: No se puede encontrar la compilación 'LD' terminada  ( Collect2 fatal error cannot find ld compilation terminated ) 
Cuando intento ejecutar el programa C y C ++, estoy recibiendo dmesg0 Ya he instalado la última versión de GCC y G ++. ...

1  ¿Cómo instalo GCC-4.6 en Ubuntu 15.10 (Edición de 32 bits)  ( How do i install gcc 4 6 on ubuntu 15 10 32bit edition ) 
Cuando intento instalar GCC-4.6 en Ubuntu15.10 (edición de 32 bits) usando apt-get, pero no puedo. Lo probé, pero Ubuntu mostró estos mensajes de error: ...

0  No se puede ejecutar Cudaminer en Jetson  ( Unable to run cudaminer on jetson ) 
Después de descargar y ejecutar ./autogen.sh y ./configure la ejecución del comando HACK le da el siguiente error en mi Jetson TK1 gcc -std = gnu99 -dhave_...

4  Eclipse no puede encontrar bibliotecas de índice de GCC o G ++  ( Eclipse cant find index libraries of gcc or g ) 
La instalación de las herramientas de CDT en Eclipse no puede encontrar en las bibliotecas de índice de GCC o G ++, pero el archivo se está ejecutando. Ex: ...

1  ¿Cómo instalo GCC 4.7.1 en 12.04?  ( How do i install gcc 4 7 1 on 12 04 ) 
Sugerencia que le sucede a un error en el GCC 4.7.0 de Ubuntu, que se ha solucionado en versiones posteriores de GCC; Creo que ya está arreglado en 4.7.1. ...




© 2022 respuesta.top Reservados todos los derechos. Centro de preguntas y respuestas reservados todos los derechos